server.port=9090
#server.servlet.context-path=/api/rest/

spring.jpa.database-platfom=org.hibernate.dialect.PostgreSQLDialect
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.url=jdbc:postgresql://localhost:5432/local_db_dz
spring.datasource.username=postgresdz
spring.datasource.password=12345

spring.jpa.properties.hibernate.connection.characterEncoding=utf8
spring.jpa.properties.hibernate.connection.CharSet=UTF-8
spring.jpa.properties.hibernate.connection.useUnicode=true
spring.jpa.properties.jakarta.persistence.sharedCache.mode=UNSPECIFIED
spring.jpa.properties.hibernate.event.merge.entity_copy_observer=allow

#DataSource settings
spring.jpa.show-sql=true
spring.jpa.generate-ddl=true
spring.jpa.hibernate.ddl-auto=update

#Encoding config
server.servlet.encoding.charset=UTF-8
server.servlet.encoding.enabled=true
server.servlet.encoding.force=true

#Thymeleaf Configuration
#Whether to check that the template exists before rendering it
spring.thymeleaf.check-template=true
#Whether to check that the templates location exists
spring.thymeleaf.check-template-location=true
#Template files encoding.
spring.thymeleaf.encoding=UTF-8
#Template mode to be applied to templates
spring.thymeleaf.mode=HTML
#Prefix that gets prepended to view names when building a URL
spring.thymeleaf.prefix=classpath:/templates/
server.error.path=/error
spring.thymeleaf.suffix=.html
spring.thymeleaf.cache=false
spring.thymeleaf.templates_root=src/main/resources/templates/

#Security Config
spring.security.user.name=admin
#Password = admin
spring.security.user.password=$2a$10$IRAa2L42Bz011.za0K6QrevQX2cGHIsbfouKkGdP9OU6S6klTsJn6
spring.security.user.roles=ADMIN